//   RW Concept
// ==============
// ______
// -Part of the RW Foundations suite of libraries

// Filename: ./include/atashi/cognate/concept.hpp
// -Declarations of the baseline RW Concept sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::atashi::cognate {

//------------------------------------------------------------------------------
class Concept_b : public RW {
 public:
  Concept_b();                                    // default ctor
  explicit Concept_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
class Concept : public Concept_b {
 public:
  Concept();                                    // default ctor
  explicit Concept(std::string const& handle);  // tag-parm'd ctor
};

}  // namespace rw::atashi::cognate

//    --=^=--

// "______"

// rw_atashi_lib.v211211
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
