//    RW Site
// ==============
// ______
// -Part of the RW Foundations suite of libraries

// Filename: ./src/curator/bumpmaster/site.cpp
// -Definitions of the baseline RW Site sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::curator::bumpmaster {

//------------------------------------------------------------------------------
Site_b::Site_b() : Site_b{"site_b_obj"} {}

//------------------------------------------------------------------------------
Site_b::Site_b(std::string const& handle)
    : RW_slave{handle, {Type::Bumpmaster}} {
  stamp("Site_b()");
}

//------------------------------------------------------------------------------
Site::Site() : Site{"site_obj"} {}

//------------------------------------------------------------------------------
Site::Site(std::string const& handle) : Site_b{handle} {
  stamp("Site()");
}

}  // namespace rw::curator::bumpmaster

//    --=^=--

// "______"

// rw_curator_lib.v211211
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
