//   RW Analogy
// ==============
// ______
// -Part of the RW Foundations suite of libraries

// Filename: ./src/atashi/analogy/analogy.cpp
// -Definitions of the baseline RW Analogy sub-library

#include "incls_all.hpp"

namespace rw::atashi::cognate {

//------------------------------------------------------------------------------
Analogy_b::Analogy_b() : Analogy_b{"analogy_b_obj"} {}

//------------------------------------------------------------------------------
Analogy_b::Analogy_b(const std::string& handle) : RW{handle, Type::Analogy} {
  stamp("Analogy_b()");
}

//------------------------------------------------------------------------------
Analogy::Analogy() : Analogy{"analogy_obj"} {}

//------------------------------------------------------------------------------
Analogy::Analogy(std::string const& handle) : Analogy_b{handle} {
  stamp("Analogy()");

  // preflight();
}

}  // namespace rw::atashi::cognate

//    --=^=--

// "______"

// rw_atashi_lib.v211211
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
